<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('smtps', function (Blueprint $table) {
            $table->id();
            $table->string('fromemail', 255)->nullable();
            $table->string('smtphost', 255)->nullable();
            $table->string('smtpport', 255)->nullable();
            $table->string('smtpusername', 255)->nullable();
            $table->string('smtppassword', 255)->nullable();
            $table->string('smtpencryption', 255)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('smtps');
    }
};
